<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8"/>
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1, minimum-scale=1.0, shrink-to-fit=no">
    <link href="../static/images/favicon.png" rel="icon"/>
    <title>Cards and Wallets</title>
    <meta name="description"
          content="This professional design html template is for build a Money Transfer and online payments website.">
    <meta name="author" content="harnishdesign.net">

    <!-- Web Fonts
    ============================================= -->
    <link rel='stylesheet'
          href='https://fonts.googleapis.com/css?family=Rubik:300,300i,400,400i,500,500i,700,700i,900,900i'
          type='text/css'>

    <!-- Stylesheet
    ============================================= -->
    <link rel="stylesheet" type="text/css" href="../static/vendor/bootstrap/css/bootstrap.min.css"
          th:href="@{/vendor/bootstrap/css/bootstrap.min.css}"/>
    <link rel="stylesheet" type="text/css" href="../static/vendor/font-awesome/css/all.min.css"
          th:href="@{/vendor/font-awesome/css/all.min.css}"/>
    <link rel="stylesheet" type="text/css" href="../static/vendor/owl.carousel/assets/owl.carousel.min.css"
          th:href="@{/vendor/owl.carousel/assets/owl.carousel.min.css}"/>
    <link rel="stylesheet" type="text/css" href="../static/css/stylesheet.css" th:href="@{/css/stylesheet.css}"/>
</head>
<body>

<!-- Preloader -->
<!--<div id="preloader">-->
<!--  <div data-loader="dual-ring"></div>-->
<!--</div>-->
<!-- Preloader End -->

<!-- Document Wrapper   
============================================= -->
<div id="main-wrapper">

    <!-- Header
    ============================================= -->
    <header id="header">
        <div class="container">
            <div class="header-row">
                <div class="header-column justify-content-start">
                    <!-- Logo
                    ============================= -->
                    <div class="logo"><a class="d-flex" href="index.html" th:href="@{/}"
                                         title="Virtual Wallet Logo"><img src="../static/images/wallet-logo.png"
                                                                          alt="Payyed"
                                                                          th:src="@{/images/wallet-logo.png}"/></a>
                    </div>
                    <!-- Logo end -->
                    <!-- Collapse Button
                    ============================== -->
                    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#header-nav">
                        <span></span> <span></span> <span></span></button>
                    <!-- Collapse Button end -->

                    <!-- Primary Navigation
                    ============================== -->
                    <div th:replace="fragments/navbar-and-footer :: navbar"></div>

                    <!-- Primary Navigation end -->
                </div>
                <div class="header-column justify-content-end">
                    <!-- Login & Signup Link
                    ============================== -->
                    <div th:replace="fragments/navbar-and-footer::login"></div>
                    <!-- Login & Signup Link end -->
                </div>
            </div>
        </div>
    </header>
    <!-- Header End -->

    <!-- Secondary menu
    ============================================= -->
    <div class="bg-primary">
        <div class="container d-flex justify-content-center">
            <ul class="nav secondary-nav">
                <li class="nav-item"><a class="nav-link" href="profile.html" th:href="@{/users/{userId}/profile(userId=${currentUser.getId()})}">Account</a></li>
                <li class="nav-item"> <a class="nav-link" href="profile-cards-and-wallets.html" th:href="@{/users/{userId}/cards-and-wallets(userId=${currentUser.getId()})}">Cards & Wallets</a></li>



            </ul>
        </div>
    </div>
    <!-- Secondary menu end -->

    <!-- Content
    ============================================= -->
    <div id="content" class="py-4">
        <div class="container">
            <div class="row">
                <!-- Left Panel
                ============================================= -->
                <aside class="col-lg-3">

                    <!-- Profile Details
                    =============================== -->
                    <div class="bg-light shadow-sm rounded text-center p-3 mb-4">
                        <div class="profile-thumb mt-3 mb-4">
                            <img class="rounded-circle img-fluid" th:src="@{${currentUser.getPhoto()}}" alt="">
                        </div>
                        <p class="text-3 font-weight-500 mb-2" th:text="'Hello, ' + ${currentUser.getFullName()} + '!'">Hello, Smith
                            Rhodes</p>

                    </div>
                    <!-- Profile Details End -->

                    <!-- Available Balance
                    =============================== -->
                    <div class="bg-light shadow-sm rounded text-center p-3 mb-4">
                        <div class="text-17 text-light my-3"><i class="fas fa-wallet"></i></div>
                        <h3 class="text-9 font-weight-400" th:text="${allBalance} + ' BGN'">$2956.00</h3>
                        <p class="mb-2 text-muted opacity-8">Total Available Balance</p>
                        <hr class="mx-n3">

                    </div>


                </aside>
                <!-- Left Panel End -->

                <!-- Middle Panel
                ============================================= -->
                <div class="col-lg-9">

                    <!-- Credit or Debit Cards
                    ============================================= -->
                    <div class="bg-light shadow-sm rounded p-4 mb-4">
                        <h3 class="text-5 font-weight-400 mb-4">Cards <span
                                class="text-muted text-4">(for transfers)</span></h3>
                        <div class="row">
                            <div class="col-12 col-sm-6 col-lg-4 mb-2" th:each="card : ${cards}">
                                <div class="account-card account-card-primary text-white rounded p-3 mb-4 mb-lg-0">
                                    <p class="text-4" th:text="${card.getFormattedNumber()}">XXXX-XXXX-XXXX-4151</p>
                                    <p class="d-flex align-items-center"> <span
                                            class="account-card-expire text-uppercase d-inline-block opacity-6 mr-2">Valid<br>
                    thru<br>
                    </span> <span class="text-4 opacity-9" th:text="${card.getFormattedDate()}">07/24</span> <span
                                            class="bg-light text-0 text-body font-weight-500 rounded-pill d-inline-block px-2 line-height-4 opacity-8 ml-auto"></span>
                                    </p>
                                    <p class="d-flex align-items-center m-0"><span
                                            class="text-uppercase font-weight-500" th:text="${card.getCardHolder()}">Smith Rhodes</span>
                                        <img class="ml-auto" th:if="${card.getCardType().equalsIgnoreCase('credit')}" src="../static/images/payment/visa.png"
                                             th:src="@{/images/payment/visa.png}" alt="visa" title="">

                                      <img class="ml-auto" th:if="${card.getCardType().equalsIgnoreCase('debit')}" src="../static/images/payment/visa.png"
                                           th:src="@{/images/payment/mastercard.png}" alt="visa" title="">

                                    </p>

                                    <div class="account-card-overlay rounded"><a href="#"
                                                                                 class="text-light btn-link mx-2"
                                                                                 th:href="@{/users/{userId}/cards-and-wallets/cards/{cardId}/delete(userId=${currentUser.getId()},cardId=${card.getId()})}"><span
                                            class="mr-1"><i class="fas fa-minus-circle"></i></span>Delete</a></div>
                                </div>


                            </div>
                            <div class="col-12 col-sm-6 col-lg-4 mb-2"><a href="" data-target="#add-new-card-details"
                                                                     data-toggle="modal"
                                                                     class="account-card-new d-flex align-items-center rounded h-100 p-3 mb-4 mb-lg-0">
                                <p class="w-100 text-center line-height-4 m-0"><span class="text-3"><i
                                        class="fas fa-plus-circle"></i></span> <span class="d-block text-body text-3">Add New Card</span>
                                </p>
                            </a></div>
                            <!--
                                      Add New Card Details Modal
                                      ================================== -->
                            <div id="add-new-card-details" class="modal fade" role="dialog" aria-hidden="true">
                                <div class="modal-dialog modal-dialog-centered" role="document">
                                    <div class="modal-content">
                                        <div class="modal-header">
                                            <h5 class="modal-title font-weight-400">Add a Card</h5>
                                            <button type="button" class="close font-weight-400" data-dismiss="modal"
                                                    aria-label="Close"><span aria-hidden="true">&times;</span></button>
                                        </div>
                                        <div class="modal-body p-4">
                                            <form id="addCard" method="post"
                                                  th:action="@{/users/{userId}/cards-and-wallets/new-card(userId=${currentUser.getId()})}"
                                                  th:object="${newCard}">


                                                <div class="form-group">
                                                    <label for="cardNumber">Card Type</label>
                                                    <input type="text" class="form-control" data-bv-field="cardnumber"
                                                           id="cardType" required value="" placeholder="Credit or Debit"
                                                           th:field="*{cardType}">
                                                    <label class="error" th:errors="*{cardType}">First name error placeholder</label>

                                                </div>

                                                <div class="form-group">
                                                    <label for="cardNumber">Card Number</label>
                                                    <input type="text" class="form-control" data-bv-field="cardnumber"
                                                           id="cardNumber" required value="" placeholder="Card Number"
                                                           th:field="*{cardNumber}">
                                                    <label class="error" th:errors="*{cardNumber}">First name error placeholder</label>
                                                </div>

                                                <div class="form-row">
                                                    <div class="col-lg-6">
                                                        <div class="form-group">
                                                            <label for="expiryDate">Expiry Date</label>
                                                            <input id="expiryDate" type="text" class="form-control"
                                                                   data-bv-field="expiryDate" required value=""
                                                                   placeholder="MM/YY"
                                                                   th:field="*{expireDate}">
                                                            <label class="error" th:errors="*{expireDate}">First name error placeholder</label>
                                                        </div>
                                                    </div>
                                                    <div class="col-lg-6">
                                                        <div class="form-group">
                                                            <label for="cvvNumber">CVV <span class="text-info ml-1"
                                                                                             data-toggle="tooltip"
                                                                                             data-original-title="For Visa/Mastercard, the three-digit CVV number is printed on the signature panel on the back of the card immediately after the card's account number. For American Express, the four-digit CVV number is printed on the front of the card above the card account number."><i
                                                                    class="fas fa-question-circle"></i></span></label>
                                                            <input id="cvvNumber" type="password" class="form-control"
                                                                   data-bv-field="cvvnumber" required value=""
                                                                   placeholder="CVV (3 digits)"
                                                                   th:field="*{checkNumber}">
                                                            <label class="error" th:errors="*{checkNumber}">First name error placeholder</label>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="form-group">
                                                    <label for="cardHolderName">Card Holder Name</label>
                                                    <input type="text" class="form-control"
                                                           data-bv-field="cardholdername" id="cardHolderName" required
                                                           value="" placeholder="Card Holder Name"
                                                           th:field="*{cardHolder}">
                                                    <label class="error" th:errors="*{cardHolder}">First name error placeholder</label>
                                                </div>
                                                <button class="btn btn-primary btn-block" type="submit">Add Card
                                                </button>
                                            </form>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                            <!-- Credit or Debit Cards End -->

                            <!-- Wallets
                            ============================================= -->
                            <div class="bg-light shadow-none rounded p-3 mb-4">
                                <h3 class="text-5 font-weight-400 mb-4">Wallets <span class="text-muted text-4">(for transactions)</span>
                                </h3>
                                <div class="row">
                                    <div class="col-12 col-sm-6 mb-2" th:each="wallet : ${wallets}">
                                        <div class="account-card account-card-primary text-white rounded mb-4 mb-lg-0">
                                            <div class="row no-gutters">
                                                <div class="col-3 d-flex justify-content-center p-3">
                                                    <div class="my-auto text-center text-13"><i
                                                            class="fas fa-university"></i>

                                                    </div>
                                                </div>
                                                <div class="col-9 border-left">
                                                    <div class="py-4 my-2 pl-4">
                                                        <p class="text-4 font-weight-500 mb-1"
                                                           th:text="${wallet.getName()}">HDFC Bank</p>
                                                        <p class="text-4 opacity-9 mb-1"
                                                           th:text="${'Balance: ' + wallet.getBalance()} + ' BGN'">
                                                            XXXXXXXXXXXX-9025</p>

                                                    </div>
                                                </div>
                                            </div>
                                            <div class="account-card-overlay rounded"><a href="#"
                                                                                         th:href="@{/users/{userId}/cards-and-wallets/wallets/{walletId}/delete(userId=${currentUser.getId()},walletId=${wallet.getId()})}"
                                                                                         class="text-light btn-link mx-2"><span
                                                    class="mr-1"><i class="fas fa-minus-circle"></i></span>Delete</a>
                                            </div>
                                        </div>
                                    </div>
                                    <br>
                                    <br>
                                    <div></div>
                                    <div class="col-12 col-sm-6 mb-2"><a href="" data-target="#add-new-bank-account"
                                                                    data-toggle="modal"
                                                                    class="account-card-new d-flex align-items-center rounded h-100 p-3 mb-4 mb-lg-0">
                                        <p class="w-100 text-center line-height-4 m-0"><span class="text-3"><i
                                                class="fas fa-plus-circle"></i></span> <span
                                                class="d-block text-body text-3">Add New Wallet</span></p>
                                    </a></div>

                                </div>
                            </div>
                            <!-- Edit Bank Account Details Modal
                            ======================================== -->
                            <div id="bank-account-details" class="modal fade" role="dialog" aria-hidden="true">
                                <div class="modal-dialog modal-dialog-centered transaction-details" role="document">
                                    <div class="modal-content">
                                        <div class="modal-body">
                                            <div class="row no-gutters">
                                                <div class="col-sm-5 d-flex justify-content-center bg-primary rounded-left py-4">
                                                    <div class="my-auto text-center">
                                                        <div class="text-17 text-white mb-3"><i
                                                                class="fas fa-university"></i></div>
                                                        <h3 class="text-6 text-white my-3">HDFC Bank</h3>
                                                        <div class="text-4 text-white my-4">XXX-9027 | INR</div>
                                                        <p class="bg-light text-0 text-body font-weight-500 rounded-pill d-inline-block px-2 line-height-4 mb-0">
                                                            Primary</p>
                                                    </div>
                                                </div>
                                                <div class="col-sm-7">
                                                    <h5 class="text-5 font-weight-400 m-3">Bank Account Details
                                                        <button type="button" class="close font-weight-400"
                                                                data-dismiss="modal" aria-label="Close"><span
                                                                aria-hidden="true">&times;</span></button>
                                                    </h5>
                                                    <hr>
                                                    <div class="px-3">
                                                        <ul class="list-unstyled">
                                                            <li class="font-weight-500">Account Type:</li>
                                                            <li class="text-muted">Personal</li>
                                                        </ul>
                                                        <ul class="list-unstyled">
                                                            <li class="font-weight-500">Account Name:</li>
                                                            <li class="text-muted">Smith Rhodes</li>
                                                        </ul>
                                                        <ul class="list-unstyled">
                                                            <li class="font-weight-500">Account Number:</li>
                                                            <li class="text-muted">XXXXXXXXXXXX-9025</li>
                                                        </ul>
                                                        <ul class="list-unstyled">
                                                            <li class="font-weight-500">Bank Country:</li>
                                                            <li class="text-muted">India</li>
                                                        </ul>
                                                        <ul class="list-unstyled">
                                                            <li class="font-weight-500">Status:</li>
                                                            <li class="text-muted">Approved <span
                                                                    class="text-success text-3"><i
                                                                    class="fas fa-check-circle"></i></span></li>
                                                        </ul>
                                                        <p><a href="#"
                                                              class="btn btn-sm btn-outline-danger btn-block shadow-none"><span
                                                                class="mr-1"><i class="fas fa-minus-circle"></i></span>Delete
                                                            Account</a></p>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <!-- Add New Bank Account Details Modal
                            ======================================== -->
                            <div id="add-new-bank-account" class="modal fade" role="dialog" aria-hidden="true">
                                <div class="modal-dialog modal-dialog-centered" role="document">
                                    <div class="modal-content">
                                        <div class="modal-header">
                                            <h5 class="modal-title font-weight-400">Add wallet</h5>
                                            <button type="button" class="close font-weight-400" data-dismiss="modal"
                                                    aria-label="Close"><span aria-hidden="true">&times;</span></button>
                                        </div>
                                        <div class="modal-body p-4">
                                            <form id="addbankaccount" method="post"
                                                  th:action="@{/users/{userId}/cards-and-wallets/new-wallet(userId=${currentUser.getId()})}"
                                                  th:object="${newWallet}">

                                                <div class="form-group">
                                                    <label for="accountName">Wallet Name</label>
                                                    <input type="text" class="form-control" data-bv-field="accountName"
                                                           id="accountName" required value="" placeholder="Wallet Name"
                                                           th:field="*{name}">
                                                    <label class="error" th:errors="*{name}">First name error placeholder</label>
                                                </div>
                                                <!--                    <div class="form-group">-->
                                                <!--                      <label for="accountNumber">Account Number</label>-->
                                                <!--                      <input type="text" class="form-control" data-bv-field="accountNumber" id="accountNumber" required value="" placeholder="e.g. 12346678900001">-->
                                                <!--                    </div>-->
                                                <!--                    <div class="form-group">-->
                                                <!--                      <label for="ifscCode">NEFT IFSC Code</label>-->
                                                <!--                      <input type="text" class="form-control" data-bv-field="ifscCode" id="ifscCode" required value="" placeholder="e.g. ABCDE12345">-->
                                                <!--                    </div>-->
                                                <!--                    <div class="form-check custom-control custom-checkbox mb-3">-->
                                                <!--                      <input id="remember-me" name="remember" class="custom-control-input" type="checkbox">-->
                                                <!--                      <label class="custom-control-label" for="remember-me">I confirm the bank account details above</label>-->
                                                <!--                    </div>-->
                                                <button class="btn btn-primary btn-block" type="submit">Add Wallet
                                                </button>
                                            </form>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <!-- Bank Accounts End -->

                        </div>
                        <!-- Middle Panel End -->
                    </div>
                </div>
            </div>
            <!-- Content end -->

            <!-- Footer
            ============================================= -->
            <div th:replace="fragments/navbar-and-footer :: footer"></div>
            <!-- Footer end -->
        <!-- Document Wrapper end -->

        <!-- Back to Top
        ============================================= -->
        <a id="back-to-top" data-toggle="tooltip" title="Back to Top" href="javascript:void(0)"><i
                class="fa fa-chevron-up"></i></a>

</div>

    <!-- Script -->
        <script src="../static/vendor/jquery/jquery.min.js" th:src="@{/vendor/jquery/jquery.min.js}"></script>
        <script src="../static/vendor/bootstrap/js/bootstrap.bundle.min.js"
                th:src="@{/vendor/bootstrap/js/bootstrap.bundle.min.js}"></script>
        <script src="../static/vendor/daterangepicker/moment.min.js"
                th:src="@{/vendor/daterangepicker/moment.min.js}"></script>
        <script src="../static/vendor/daterangepicker/daterangepicker.js"
                th:src="@{/vendor/daterangepicker/daterangepicker.js}"></script>
        <script>
            $(function () {
                'use strict';
                // Birth Date
                $('#birthDate').daterangepicker({
                    singleDatePicker: true,
                    "showDropdowns": true,
                    autoUpdateInput: false,
                    maxDate: moment().add(0, 'days'),
                }, function (chosen_date) {
                    $('#birthDate').val(chosen_date.format('MM-DD-YYYY'));
                });
            });
        </script>
        <script src="../static/js/theme.js" th:src="@{/js/theme.js}"></script>
</body>
</html>